0

I'm getting unmet dependencies when trying to install R on Debian 9 (stretch). Specifically, running:

$ sudo apt-get install r-base-core

results in

Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
r-base-core : Depends: libjpeg8 (>= 8c) but it is not installable
           Recommends: r-recommended but it is not going to be installed
           Recommends: r-base-dev but it is not going to be installed
           Recommends: r-doc-html but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

Could anyone help? I have googled around this question but cannot come up with any fix.

Thanks

EDIT: The output of apt policy is:

Package files:
 100 /var/lib/dpkg/status
 release a=now
 500 http://repository.spotify.com stable/non-free i386 Packages
 release v=0.4,o=Spotify LTD,a=stable,n=stable,l=Spotify Public                    
 Repository,c=non-free,b=i386
 origin repository.spotify.com
 500 http://repository.spotify.com stable/non-free amd64 Packages
 release v=0.4,o=Spotify LTD,a=stable,n=stable,l=Spotify Public                                                   
 Repository,c=non-free,b=amd64
 origin repository.spotify.com
 500 https://repo.skype.com/deb stable/main amd64 Packages
 release o=. stable,a=stable,n=stable,l=. stable,c=main,b=amd64
 origin repo.skype.com
 500 https://desktop-download.mendeley.com/download/apt stable/main i386    

 Packages
 release n=stable,c=main,b=i386
 origin desktop-download.mendeley.com
 500 https://desktop-download.mendeley.com/download/apt stable/main amd64 

 Packages
 release n=stable,c=main,b=amd64
 origin desktop-download.mendeley.com
 500 http://ppa.launchpad.net/maarten-baert/simplescreenrecorder/ubuntu
 bionic/main i386 Packages
 release v=18.04,o=LP-PPA-maarten-baert-      simplescreenrecorder,a=bionic,n=bionic,l=SimpleScreenRecorder,c=main,b=i386
 origin ppa.launchpad.net
 500 http://ppa.launchpad.net/maarten-baert/simplescreenrecorder/ubuntu bionic/main amd64 Packages
 release v=18.04,o=LP-PPA-maarten-baert-simplescreenrecorder,a=bionic,n=bionic,l=SimpleScreenRecorder,c=main,b=amd64
 origin ppa.launchpad.net
 500 http://deb.debian.org/debian stretch/main i386 Packages
 release v=9.4,o=Debian,a=stable,n=stretch,l=Debian,c=main,b=i386
 origin deb.debian.org
  500 http://deb.debian.org/debian stretch/main amd64 Packages
 release v=9.4,o=Debian,a=stable,n=stretch,l=Debian,c=main,b=amd64
 origin deb.debian.org
  500 https://dl.winehq.org/wine-builds/debian stretch/main i386 Packages
 release v=9.0,o=dl.winehq.org,a=stable,n=stretch,l=winehq,c=main,b=i386
 origin dl.winehq.org
  500 https://dl.winehq.org/wine-builds/debian stretch/main amd64 Packages
 release v=9.0,o=dl.winehq.org,a=stable,n=stretch,l=winehq,c=main,b=amd64
 origin dl.winehq.org
 500 http://cran.rstudio.com/bin/linux/debian stretch-cran34/ Packages
 release o=CRAN,a=stretch-cran34,n=stretch-cran34,l=CRAN Backports,c=
 origin cran.rstudio.com
 500 http://cran.rstudio.com/bin/linux/ubuntu trusty/ Packages
 release v=14.04,o=CRAN,a=trusty,n=trusty,l=CRAN,c=
 origin cran.rstudio.com
 500 http://ftp.uk.debian.org/debian jessie/main i386 Packages
 release v=8.10,o=Debian,a=oldstable,n=jessie,l=Debian,c=main,b=i386
 origin ftp.uk.debian.org
 500 http://ftp.uk.debian.org/debian jessie/main amd64 Packages
 release v=8.10,o=Debian,a=oldstable,n=jessie,l=Debian,c=main,b=amd64
 origin ftp.uk.debian.org
 500 http://ftp.uk.debian.org/debian stretch-updates/main i386 Packages
 release o=Debian,a=stable-updates,n=stretch-updates,l=Debian,c=main,b=i386
 origin ftp.uk.debian.org
 500 http://ftp.uk.debian.org/debian stretch-updates/main amd64 Packages
 release o=Debian,a=stable-updates,n=stretch-updates,l=Debian,c=main,b=amd64
 origin ftp.uk.debian.org
 500 http://ftp.uk.debian.org/debian stretch/contrib i386 Packages
 release v=9.4,o=Debian,a=stable,n=stretch,l=Debian,c=contrib,b=i386
 origin ftp.uk.debian.org
 500 http://ftp.uk.debian.org/debian stretch/contrib amd64 Packages
 release v=9.4,o=Debian,a=stable,n=stretch,l=Debian,c=contrib,b=amd64
 origin ftp.uk.debian.org
 500 http://ftp.uk.debian.org/debian stretch/non-free i386 Packages
 release v=9.4,o=Debian,a=stable,n=stretch,l=Debian,c=non-free,b=i386
 origin ftp.uk.debian.org
 500 http://ftp.uk.debian.org/debian stretch/non-free amd64 Packages
 release v=9.4,o=Debian,a=stable,n=stretch,l=Debian,c=non-free,b=amd64
 origin ftp.uk.debian.org
 500 http://ftp.uk.debian.org/debian stretch/main i386 Packages
 release v=9.4,o=Debian,a=stable,n=stretch,l=Debian,c=main,b=i386
 origin ftp.uk.debian.org
 500 http://ftp.uk.debian.org/debian stretch/main amd64 Packages
 release v=9.4,o=Debian,a=stable,n=stretch,l=Debian,c=main,b=amd64
 origin ftp.uk.debian.org
 Pinned packages:
1

The unmet dependency probably stems from the mixture of releases your repositories reference, in particular the Ubuntu 14.04-targeted CRAN repository. You should remove (or comment out with #) the following entries in /etc/apt/sources.list and any file in /etc/apt/sources.list.d:

  • http://cran.rstudio.com/bin/linux/ubuntu trusty/;
  • all the ftp.uk.debian.org entries referencing jessie.

Once you’ve done that, running apt update and then apt install r-base-core again should no longer fail because of a missing libjpeg8.

| improve this answer | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.